### Hierarchy

- Error
  - CompileError

## Index

### Constructors

- constructor

### Properties

- ch
- line
- Error
- message
- name
- stack

## Constructors

### constructor

- new CompileError(message: string, line: number, ch: number): CompileError

- - Defined in CompileError.ts:1

  #### Parameters

  - ##### message: string

  - ##### line: number

  - ##### ch: number

  #### Returns CompileError

## Properties

### ch

ch: number

- Defined in CompileError.ts:5

### line

line: number

- Defined in CompileError.ts:4

### Static Error

Error: ErrorConstructor

- Defined in /home/travis/build/hmil/topside/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:884

### Static message

message: string

Inherited from Error.message

- Defined in /home/travis/build/hmil/topside/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:874

### Static name

name: string

Inherited from Error.name

- Defined in /home/travis/build/hmil/topside/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:873

### Static Optional stack

stack: undefined | string

Inherited from Error.stack

Overrides Error.stack

- Defined in /home/travis/build/hmil/topside/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:875

Generated using TypeDoc